Doomsday Engine - Feature #1539

Armor, powerups (object status) controls 3D model representation
2011-06-18 00:09 - zoeikon

Status: Progressed Start date: 2011-06-18
Priority: Normal % Done: 70%
Assignee: skyjake

Category: Enhancement

Target version: Modding

Description

In jHexen, when you pick up pieces of armor, they affect your armor class and stick with you. It would be neato to be able to assign
particular models for such cases so that you can see the players wearing such pieces of armor or enhancements.

Labels: Graphics

Related issues:

Related to Feature #1617: Scoped definitions and variables New 2013-10-21
Related to Feature #1616: Selector for sprites New 2013-10-21
Related to Feature #8: New GL2 based model renderer Closed 2013-10-11
Related to Feature #1620: XG 2.0 Progressed 2010-04-20
Related to Bug #2343: Player weapon opacity doesn't affect psprite 3D models Closed 2019-08-14
Related to Bug #2363: Light Amplification powerup doesn't affect psprite 3D m... New 2019-08-14

Associated revisions

Revision abe3a574 - 2019-12-15 15:28 - skyjake
Scripting: Bindings for the player

Added the built-in class “App.Player’. This allows scripts to access player information such as health, armor, and powerup status.
Revision 5e637b89 - 2019-12-15 17:26 - skyjake

Scripting: Bindings for the player

Added the built-in class “App.Player’. This allows scripts to access player information such as health, armor, and powerup status.
History

#1 - 2011-06-18 10:16 - vermil
| imagine that Deng team would prefer to define a general system that allowed the model maker to define a model or model effect for almost any state
the player can be in; i.e. whether they are using a Tome of Power in Heretic or using Wings of Wrath etc.

#2 - 2011-06-28 23:40 - zoeikon

Yeah, | was actually thinking that myself while writing this... That really makes the most sense! :) Doomguy with glowing eyes and maybe a golden
aura while in "god mode" would also be kind of cool.

#3 - 2013-10-22 11:23 - skyjake
- Tags set to 3SDModel

- Subject changed from jHexen models for gathered armor pieces to Model selector for armor, powerups

#4 - 2019-11-29 19:03 - skyjake
- Related to Feature #1616: Selector for sprites added

#5 - 2019-11-29 19:04 - skyjake
- Related to Feature #8: New GL2 based model renderer added
#6 - 2019-11-29 19:04 - skyjake
- Related to Feature #1620: XG 2.0 added

#7 - 2019-11-29 19:06 - skyjake
- Subject changed from Model selector for armor, powerups to Armor, powerups (object status) controls 3D model representation
- Category set to Enhancement

- Target version set to Modding

#8 - 2019-11-29 19:07 - skyjake
- Status changed from New to Progressed

- % Done changed from 0 to 30

The progress reflects the use of mobj hitpoints in 3D model scripting.

#9 - 2019-11-29 19:07 - skyjake
- Related to Bug #2343: Player weapon opacity doesn't affect psprite 3D models added

#10 - 2019-12-06 06:25 - skyjake
- Related to Bug #2363: Light Amplification powerup doesn't affect psprite 3D models added

#11 - 2019-12-15 15:28 - skyjake
- Assignee set to skyjake

- % Done changed from 30 to 70

2024-04-09 22


http://www.tcpdf.org

